USRP Hardware Driver and USRP Manual: uhd::rfnoc::chdr::chdr_header Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::rfnoc::chdr::chdr_header Class Reference

`#include <uhd/rfnoc/chdr_types.hpp>`

## Public Member Functions
| chdr_header ()=default
| chdr_header (const chdr_header &rhs)=default
| chdr_header (chdr_header &&rhs)=default
| chdr_header (uint64_t flat_hdr)
| Unpack the header from a uint64_t.
uint8_t | get_vc () const
| Get the virtual channel field (6 bits).
void | set_vc (uint8_t vc)
| Set the virtual channel field (6 bits).
bool | get_eob () const
| Get the end-of-burst flag (1 bit).
void | set_eob (bool eob)
| Set the end-of-burst flag (1 bit).
bool | get_eov () const
| Get the end-of-vector flag (1 bit).
void | set_eov (bool eov)
| Set the end-of-vector flag (1 bit).
packet_type_t | get_pkt_type () const
| Get the packet type field (3 bits).
void | set_pkt_type (packet_type_t pkt_type)
| Set the packet type field (3 bits).
uint8_t | get_num_mdata () const
| Get number of metadata words field (5 bits).
void | set_num_mdata (uint8_t num_mdata)
| Set number of metadata words field (5 bits).
uint16_t | get_seq_num () const
| Get the sequence number field (16 bits).
void | set_seq_num (uint16_t seq_num)
| Set the sequence number field (16 bits).
uint16_t | get_length () const
| Get the packet length field (16 bits).
void | set_length (uint16_t length)
| Set the packet length field (16 bits).
uint16_t | get_dst_epid () const
| Get the destination EPID field (16 bits).
void | set_dst_epid (uint16_t dst_epid)
| Set the destination EPID field (16 bits).
uint64_t | pack () const
| Pack the header into a uint64_t.
| operator uint64_t () const
| Pack the header into a uint64_t as an implicit cast.
bool | operator== (const chdr_header &rhs) const
| Comparison operator (==).
bool | operator!= (const chdr_header &rhs) const
| Comparison operator (!=).
const chdr_header & | operator= (const chdr_header &rhs)
| Assignment operator (=) from a chdr_header.
const chdr_header & | operator= (const uint64_t &rhs)
| Assignment operator (=) from a uint64_t.
const std::string | to_string () const
| Return a string representation of this object.

## Constructor & Destructor Documentation

## ◆ chdr_header() [1/4]

uhd::rfnoc::chdr::chdr_header::chdr_header | ( |  | ) |
| default

## ◆ chdr_header() [2/4]

uhd::rfnoc::chdr::chdr_header::chdr_header | ( | const chdr_header & | rhs | ) |
| default

## ◆ chdr_header() [3/4]

uhd::rfnoc::chdr::chdr_header::chdr_header | ( | chdr_header && | rhs | ) |
| default

## ◆ chdr_header() [4/4]

uhd::rfnoc::chdr::chdr_header::chdr_header | ( | uint64_t | flat_hdr | ) |
| inline

Unpack the header from a uint64_t.

## Member Function Documentation

## ◆ get_dst_epid()

uint16_t uhd::rfnoc::chdr::chdr_header::get_dst_epid | ( |  | ) | const
| inline

Get the destination EPID field (16 bits).

## ◆ get_eob()

bool uhd::rfnoc::chdr::chdr_header::get_eob | ( |  | ) | const
| inline

Get the end-of-burst flag (1 bit).

## ◆ get_eov()

bool uhd::rfnoc::chdr::chdr_header::get_eov | ( |  | ) | const
| inline

Get the end-of-vector flag (1 bit).

## ◆ get_length()

uint16_t uhd::rfnoc::chdr::chdr_header::get_length | ( |  | ) | const
| inline

Get the packet length field (16 bits).

## ◆ get_num_mdata()

uint8_t uhd::rfnoc::chdr::chdr_header::get_num_mdata | ( |  | ) | const
| inline

Get number of metadata words field (5 bits).

## ◆ get_pkt_type()

packet_type_t uhd::rfnoc::chdr::chdr_header::get_pkt_type | ( |  | ) | const
| inline

Get the packet type field (3 bits).

## ◆ get_seq_num()

uint16_t uhd::rfnoc::chdr::chdr_header::get_seq_num | ( |  | ) | const
| inline

Get the sequence number field (16 bits).

## ◆ get_vc()

uint8_t uhd::rfnoc::chdr::chdr_header::get_vc | ( |  | ) | const
| inline

Get the virtual channel field (6 bits).

## ◆ operator uint64_t()

uhd::rfnoc::chdr::chdr_header::operator uint64_t | ( |  | ) | const
| inline

Pack the header into a uint64_t as an implicit cast.

## ◆ operator!=()

bool uhd::rfnoc::chdr::chdr_header::operator!= | ( | const chdr_header & | rhs | ) | const
| inline

Comparison operator (!=).

## ◆ operator=() [1/2]

const chdr_header & uhd::rfnoc::chdr::chdr_header::operator= | ( | const chdr_header & | rhs | ) |
| inline

Assignment operator (=) from a chdr_header.

## ◆ operator=() [2/2]

const chdr_header & uhd::rfnoc::chdr::chdr_header::operator= | ( | const uint64_t & | rhs | ) |
| inline

Assignment operator (=) from a uint64_t.

## ◆ operator==()

bool uhd::rfnoc::chdr::chdr_header::operator== | ( | const chdr_header & | rhs | ) | const
| inline

Comparison operator (==).

## ◆ pack()

uint64_t uhd::rfnoc::chdr::chdr_header::pack | ( |  | ) | const
| inline

Pack the header into a uint64_t.

## ◆ set_dst_epid()

void uhd::rfnoc::chdr::chdr_header::set_dst_epid | ( | uint16_t | dst_epid | ) |
| inline

Set the destination EPID field (16 bits).

## ◆ set_eob()

void uhd::rfnoc::chdr::chdr_header::set_eob | ( | bool | eob | ) |
| inline

Set the end-of-burst flag (1 bit).

## ◆ set_eov()

void uhd::rfnoc::chdr::chdr_header::set_eov | ( | bool | eov | ) |
| inline

Set the end-of-vector flag (1 bit).

## ◆ set_length()

void uhd::rfnoc::chdr::chdr_header::set_length | ( | uint16_t | length | ) |
| inline

Set the packet length field (16 bits).

## ◆ set_num_mdata()

void uhd::rfnoc::chdr::chdr_header::set_num_mdata | ( | uint8_t | num_mdata | ) |
| inline

Set number of metadata words field (5 bits).

## ◆ set_pkt_type()

void uhd::rfnoc::chdr::chdr_header::set_pkt_type | ( | packet_type_t | pkt_type | ) |
| inline

Set the packet type field (3 bits).

## ◆ set_seq_num()

void uhd::rfnoc::chdr::chdr_header::set_seq_num | ( | uint16_t | seq_num | ) |
| inline

Set the sequence number field (16 bits).

## ◆ set_vc()

void uhd::rfnoc::chdr::chdr_header::set_vc | ( | uint8_t | vc | ) |
| inline

Set the virtual channel field (6 bits).

## ◆ to_string()

const std::string uhd::rfnoc::chdr::chdr_header::to_string | ( |  | ) | const
| inline

Return a string representation of this object.

The documentation for this class was generated from the following file:

- chdr_types.hpp